### Enumeration

# Xdp PersistMode

#### Declaration

    enum Xdp.PersistMode

#### Description [src]

Options for how the screencast session should persist.

#### Members

`XDP_PERSIST_MODE_NONE`

  Do not persist.

  - Value: `0`
  - Available since: 1.0
`XDP_PERSIST_MODE_TRANSIENT`

  Persist as long as the application is alive.

  - Value: `1`
  - Available since: 1.0
`XDP_PERSIST_MODE_PERSISTENT`

  Persist until the user revokes this permission.

  - Value: `2`
  - Available since: 1.0